Package twisted :: Package protocols :: Package gps :: Module nmea :: Class NMEAReceiver |
[frames | no frames]

## Class NMEAReceiver

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          NMEAReceiver

This parses most common NMEA-0183 messages, presumably from a serial GPS device at 4800 bps

Method Summary
| `_decode_latlon(self, latitude, ns, longitude, ew)`
| `_decode_utc(self, utc)`
| `decode_activesatellites(self, mode1, mode2, *args)`
| `decode_fix(self, utc, latitude, ns, longitude, ew, posfix, satellites, hdop, altitude, altitude_units, geoid_separation, geoid_separation_units, dgps_age, dgps_station_id)`
| `decode_position(self, latitude, ns, longitude, ew, utc, status)`
| `decode_positiontime(self, utc, status, latitude, ns, longitude, ew, speed, course, utcdate, magvar, magdir)`
| ``lineReceived`(self, line)` Override this for when each line is received.
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `convert_dates_before_y2k` = 1
`str` | `delimiter`: The line-ending delimiter to use.
`dict` | `dispatch` = `{'GPGSA': 'activesatellites', 'GPGRS': 'range...`
`int` | `ignore_checksum_mismatch` = 0
`int` | `ignore_invalid_sentence` = 1
`int` | `ignore_unknown_sentencetypes` = 0
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### lineReceived(self, line) Override this for when each line is received. Overrides: `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

Class Variable Details

    ### convert_dates_before_y2k Type: `int` Value:
        1

    ### delimiter The line-ending delimiter to use. By default this is '\r\n'. Type: `str` Value:
        '''\r
        '''

    ### dispatch Type: `dict` Value:
        {'GPALM': 'almanac',
         'GPGGA': 'fix',
         'GPGLL': 'position',
         'GPGRS': 'range',
         'GPGSA': 'activesatellites',
         'GPGST': 'noise',
         'GPGSV': 'viewsatellites',
         'GPMSS': 'beacon',
        ...

    ### ignore_checksum_mismatch Type: `int` Value:
        0

    ### ignore_invalid_sentence Type: `int` Value:
        1

    ### ignore_unknown_sentencetypes Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net